Customer Registration

Creates an AWS S3 integration.

POST /partner-integration/product-id/integration

Input ParametersInput Parameters

Parameter

Mandatory/Optional

Data Type

Description

integrationType

 
Mandatory String Specify the type of integration. Provide the value as “aws_s3”

containerName

Mandatory

String

Name of the container where you need the FIM data.

connectionString

Mandatory

String

Connection string, which is needed to post data to AWS S3.

SampleSample

API Request

"curl -X POST""<qualys_gateway_url>/partner-integration/product-id/integration""-H""Authorization: Bearer <token>"	  
	  

Request Body

{
"integrationType": "aws_s3",
"bucketName": "qualys-fim-findings",
"bucketRegion": "us-east-2",
"roleArn": "arn:aws:iam::xxxxxxxxxxx:role/fim-role-rc"
}  

Response

{
"productName": "fim",
"integrationValidated": false
}